## net.sf.jftp.net
Class DataConnection

    java.lang.Object
      net.sf.jftp.net.DataConnection

All Implemented Interfaces:
  java.lang.Runnable

    public class DataConnection

extends java.lang.Object
implements java.lang.Runnable

This class represents a ftp data connection. It is used internally by FtpConnection, so you probably don't have to use it directly.

Field Summary
`static java.lang.String` `DFINISHED`
`static java.lang.String` `FAILED`
`boolean` `finished`
`static java.lang.String` `FINISHED`
`static java.lang.String` `GET`
`static java.lang.String` `GETDIR`
`static java.lang.String` `PUT`
`static java.lang.String` `PUTDIR`
`java.net.Socket` `sock`

Constructor Summary
`DataConnection(FtpConnection con, int port, java.lang.String host, java.lang.String file, java.lang.String type)`
`DataConnection(FtpConnection con, int port, java.lang.String host, java.lang.String file, java.lang.String type, boolean resume)`
`DataConnection(FtpConnection con, int port, java.lang.String host, java.lang.String file, java.lang.String type, boolean resume, boolean justStream)`
`DataConnection(FtpConnection con, int port, java.lang.String host, java.lang.String file, java.lang.String type, boolean resume, int skiplen)`
`DataConnection(FtpConnection con, int port, java.lang.String host, java.lang.String file, java.lang.String type, boolean resume, int skiplen, java.io.InputStream i)`
`DataConnection(FtpConnection con, int port, java.lang.String host, java.lang.String file, java.lang.String type, boolean resume, java.lang.String localfile)`

Method Summary
`FtpConnection` `getCon()`
`java.io.InputStream` `getInputStream()`
`void` `interrupt()`
`boolean` `isOK()`
`boolean` `isThere()`
`void` `reset()`
`void` `run()`
`void` `setType(java.lang.String tmp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET

    public static final java.lang.String GET

See Also:
  Constant Field Values

### PUT

    public static final java.lang.String PUT

See Also:
  Constant Field Values

### FAILED

    public static final java.lang.String FAILED

See Also:
  Constant Field Values

### FINISHED

    public static final java.lang.String FINISHED

See Also:
  Constant Field Values

### DFINISHED

    public static final java.lang.String DFINISHED

See Also:
  Constant Field Values

### GETDIR

    public static final java.lang.String GETDIR

See Also:
  Constant Field Values

### PUTDIR

    public static final java.lang.String PUTDIR

See Also:
  Constant Field Values

### sock

    public java.net.Socket sock

### finished

    public boolean finished

Constructor Detail

### DataConnection

    public DataConnection(FtpConnection con,
                          int port,
                          java.lang.String host,
                          java.lang.String file,
                          java.lang.String type)

### DataConnection

    public DataConnection(FtpConnection con,
                          int port,
                          java.lang.String host,
                          java.lang.String file,
                          java.lang.String type,
                          boolean resume)

### DataConnection

    public DataConnection(FtpConnection con,
                          int port,
                          java.lang.String host,
                          java.lang.String file,
                          java.lang.String type,
                          boolean resume,
                          boolean justStream)

### DataConnection

    public DataConnection(FtpConnection con,
                          int port,
                          java.lang.String host,
                          java.lang.String file,
                          java.lang.String type,
                          boolean resume,
                          java.lang.String localfile)

### DataConnection

    public DataConnection(FtpConnection con,
                          int port,
                          java.lang.String host,
                          java.lang.String file,
                          java.lang.String type,
                          boolean resume,
                          int skiplen)

### DataConnection

    public DataConnection(FtpConnection con,
                          int port,
                          java.lang.String host,
                          java.lang.String file,
                          java.lang.String type,
                          boolean resume,
                          int skiplen,
                          java.io.InputStream i)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getInputStream

    public java.io.InputStream getInputStream()

### getCon

    public FtpConnection getCon()

### reset

    public void reset()

### isThere

    public boolean isThere()

### setType

    public void setType(java.lang.String tmp)

### isOK

    public boolean isOK()

### interrupt

    public void interrupt()